SecurityProvider (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.SecurityProvider interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface SecurityProvider

All Superinterfaces:
  Initialisable

All Known Implementing Classes:
  AbstractSecurityProvider, AcegiProviderAdapter, JaasSimpleAuthenticationProvider, PGPSecurityProvider, SpringProviderAdapter, TestMultiuserSecurityProvider, TestSingleUserSecurityProvider

    public interface SecurityProvider

extends Initialisable

`SecurityProvider` is a target security provider that actually does the work of authenticating credentials and populating the Authentication object.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Method Summary
`Authentication` | `authenticate(Authentication authentication)`
`SecurityContext` | `createSecurityContext(Authentication auth)`
`String` | `getName()`
`void` | `setName(String name)`
`boolean` | `supports(Class aClass)`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Method Detail

### setName

    void setName(String name)

### getName

    String getName()

### authenticate

    Authentication authenticate(Authentication authentication)
                                throws SecurityException

  Throws:
    `SecurityException`

### supports

    boolean supports(Class aClass)

### createSecurityContext

    SecurityContext createSecurityContext(Authentication auth)
                                          throws UnknownAuthenticationTypeException

  Throws:
    `UnknownAuthenticationTypeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.